## Copyright 2021 Ian Jauslin
## 
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
## 
##     http://www.apache.org/licenses/LICENSE-2.0
## 
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.

# print progress
@everywhere function progress(
  j::Int64,
  tot::Int64,
  freq::Int64
)
  if (j-1)%ceil(Int,tot/freq)==0
    if j>1
      @printf(stderr,"\r")
    end
    @printf(stderr,"%d/%d",j,tot)
  end
  if j==tot
    @printf(stderr,"\r")
    @printf(stderr,"%d/%d\n",j,tot)
  end
end

# print progress of two indices at once
@everywhere function progress_mat(
  j1::Int64,
  tot1::Int64,
  j2::Int64,
  tot2::Int64,
  freq::Int64
)
  if ((j1-1)*tot2+j2-1)%ceil(Int,tot1*tot2/freq)==0
    if j1>1 || j2>1
      @printf(stderr,"\r")
    end
    @printf(stderr,"%2d/%2d, %2d/%2d",j1,tot1,j2,tot2)
  end
  if j1==tot1 && j2==tot2
    @printf(stderr,"\r")
    @printf(stderr,"%2d/%2d, %2d/%2d\n",j1,tot1,j2,tot2)
  end
end

